//********************************************************************
//*** POSIX/timeInstances.cc
//*** Copyright (c) 2003-2007 by Markus Winand <mws@fatalmind.com>
//*** $Id: timeInstances.cc,v 1.6 2007/09/06 18:16:48 mws Exp $
//********************************************************************

#ifndef POSIX_TIME_HH
#include "POSIX/time.hh"
#endif

#ifndef INCLUDED_THREAD_LOCK_HH
#include "Thread/Lock.hh"
#endif

#include "POSIX/time.cc"

namespace fatalmind {
namespace POSIX {

template class timespec< SingleThreadedModel<DefaultLockStatistics> >;
template class timespec<  MultiThreadedModel<DefaultLockStatistics> >;

template bool operator<(
	const timespec< SingleThreadedModel<DefaultLockStatistics> >&, int);
template bool operator<(
	const timespec<  MultiThreadedModel<DefaultLockStatistics> >&, int);

template std::ostream& operator<<(std::ostream&, 
	const timespec< SingleThreadedModel<DefaultLockStatistics> >&);
template std::ostream& operator<<(std::ostream&, 
	const timespec<  MultiThreadedModel<DefaultLockStatistics> >&);

} // namespace POSIX
} // namespace fatalmind
