//********************************************************************
//*** ResourcePool/Execute.hh
//*** Copyright (c) 2003-2007 by Markus Winand <mws@fatalmind.com>
//*** $Id: Execute.hh,v 1.12 2007/09/06 18:16:48 mws Exp $
//********************************************************************
/*
This file is part of ResourcePool.

ResourcePool is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of 
the License, or (at your option) any later version.

ResourcePool is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with ResourcePool; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307  USA */

#ifndef RESOURCEPOOL_EXECUTE_HH
#define RESOURCEPOOL_EXECUTE_HH

#ifndef RESOURCEPOOL_EXECUTE_HH
#include "ExecuteFwd.hh"
#endif

#ifndef RESOURCEPOOL_COMMAND_HH
#include "Command.hh"
#endif

#ifndef RESOURCEPOOL_RESOURCEPOOLINTERFACE_HH
#include "ResourcePoolInterface.hh"
#endif

#ifndef RESOURCEPOOL_RESOURCEPOOLOPTIONS_HH
#include "ResourcePoolOptions.hh"
#endif

namespace fatalmind {

template<class Type>
class _RPExecute: public ResourcePoolInterface<Type> {
		typedef ResourcePoolInterface<Type> super;
		using super::get;
	public:
		virtual void execute(Command<Type>&);

	protected:
		_RPExecute();
		virtual ~_RPExecute() {};

		virtual const ResourcePoolOptions& getOptions() = 0;
};

} // namespace fatalmind
#endif
