//********************************************************************
//*** ResourcePool/oracle/NULL.t.cc
//*** Copyright (c) 2003-2007 by Markus Winand <mws@fatalmind.com>
//*** $Id: NULL.t.cc,v 1.8 2007/09/06 18:16:49 mws Exp $
//********************************************************************
/*
This file is part of ResourcePool.

ResourcePool is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of
the License, or (at your option) any later version.

ResourcePool is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with ResourcePool; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307  USA */

#include "ResourcePool/oracle/ResourcePool.hh"
#include "t/main.hh"

#include "testconfig.cc"

#include "../SQL/NULL.t.cc"

std::auto_ptr<RP> rp;

void INIT_oracle_NULL()
{
	rp.reset(new RP(getFactory()));
	test_NULL_init(*rp);
}

void TEST_oracle_NULL_insert()
{
	test_NULL_insert(*rp);
}

void TEST_oracle_NULL_select()
{
	test_NULL_select(*rp);
}

void CLEANUP_oracle_NULL() {
	test_NULL_cleanup(*rp);
}
