//********************************************************************
//*** ResourcePool/oracle/lex.oracle_bind.hh
//*** Copyright (c) 2003-2007 by Markus Winand <mws@fatalmind.com>
//*** $Id: lex.oracle_bind.hh,v 1.7 2007/09/06 18:16:49 mws Exp $
//********************************************************************
/*
This file is part of ResourcePool.

ResourcePool is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of
the License, or (at your option) any later version.

ResourcePool is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with ResourcePool; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307  USA */

#ifndef RESOURCEPOOL_ORACLE_ORACLEBIND_HH
#define RESOURCEPOOL_ORACLE_ORACLEBIND_HH

#ifndef INCLUDED_GC_PTR_HH
#include "mm/gc_ptr.hh"
#endif

#ifndef RESOURCEPOOL_ORACLE_ORACLETYPE_HH
#include "oracleType.hh"
#endif

#include <string>
#include <sstream>

#ifndef ORACLE_INCLUDE_FLEXLEXER
#undef yyFlexLexer
#define yyFlexLexer oracle_bindFlexLexer
#include <FlexLexer.h>
#endif

namespace fatalmind {

class oracle_bind: public oracle_bindFlexLexer {
	public:
		oracle_bind(const std::string& _sql, std::string& sqlout);
	private:
		int yylex ();
	
		int _arg_no;
		std::ostringstream _os;
		std::istringstream _is;
		std::string&       _sqlout;
};
} // namespace fatalmind

extern "C" {
inline int oracle_bindwrap() {
	return 1;
}
}
#endif
